nautilus-actions-config-tool Trace/breakpoint trap (core dumped)

Bug #822282 reported by Steffen Goetz
260
This bug affects 53 people
Affects Status Importance Assigned to Milestone
Nautilus Actions
New
Undecided
Unassigned
nautilus-actions (Ubuntu)
Undecided
Aliceinwire

Bug Description

nautilus-actions-config-tool does not start.
It produces this output in the terminal:
Trace/breakpoint trap (core dumped)

Description: Ubuntu oneiric (development branch)
Release: 11.10

$ apt-cache policy nautilus-actions
nautilus-actions:
  Installed: 3.1.2-1
  Candidate: 3.1.2-1
  Version table:
 *** 3.1.2-1 0
        500 http://de.archive.ubuntu.com/ubuntu/ oneiric/universe i386 Packages
        100 /var/lib/dpkg/status

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: nautilus-actions 3.1.2-1
ProcVersionSignature: Ubuntu 3.0.0-7.9-generic 3.0.0
Uname: Linux 3.0.0-7-generic i686
Architecture: i386
Date: Sun Aug 7 15:15:58 2011
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Alpha i386 (20110807)
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: nautilus-actions
UpgradeStatus: No upgrade log present (probably fresh install)
---
Architecture: i386
DistroRelease: Ubuntu 11.10
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Alpha i386 (20110807)
Package: nautilus-actions 3.1.2-1
PackageArchitecture: i386
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 3.0.0-8.10-generic 3.0.1
Tags: oneiric running-unity
Uname: Linux 3.0.0-8-generic i686
UpgradeStatus: Upgraded to oneiric on 2011-08-13 (0 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Revision history for this message
Steffen Goetz (steffengoetz) wrote :
Revision history for this message
Aliceinwire (aliceinwire) wrote :

you can give more information ?
i can't reproduce it

Changed in nautilus-actions (Ubuntu):
assignee: nobody → Aliceinwire (aliceinwire)
status: New → Incomplete
Revision history for this message
Steffen Goetz (steffengoetz) wrote : Dependencies.txt

apport information

tags: added: apport-collected
description: updated
Revision history for this message
Steffen Goetz (steffengoetz) wrote :

I've upgraded today and still have a dump. apport now says
nautilus-actions-config-tool crashed with signal 5 in g_option_context_parse()

There are quite some other bugs on launchpad about programs crashing with signal 5 in g_option_context_parse() so this may be a basic problem with the transition to gtk3. (See bug https://bugs.launchpad.net/ubuntu/+source/gnome-system-tools/+bug/789333 wich also affects me).

I tried to add some more information (see attachments) but I'm not sure that there is useful information in there :-(

Revision history for this message
Steffen Goetz (steffengoetz) wrote :

here is some more...

Revision history for this message
Viorel Lazar (viorelmarius) wrote :

I've found a fix for this, you must download the latest source from http://www.nautilus-actions.org/downloads/ and compile it with option --with-gtk=3 . It will work

Revision history for this message
Thomas (t.c) wrote :

For more info/complete gdb log see my bug report #872396

Changed in nautilus-actions (Ubuntu):
status: Incomplete → New
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nautilus-actions (Ubuntu):
status: New → Confirmed
Revision history for this message
Rocko (rockorequin) wrote :

The workaround as per comment #6 works for me. I had to install libunique-3.0-dev as well to get it to compile (it's not in the apt-get build-dep for nautilus-actions).

Revision history for this message
Rocko (rockorequin) wrote :

I spoke too soon: it mostly works, but I can't actually edit anything.

Revision history for this message
kaimadag (kaimadag) wrote : apport information

ApportVersion: 1.23-0ubuntu3
Architecture: amd64
DistroRelease: Ubuntu 11.10
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
Package: nautilus-actions 3.1.2-1
PackageArchitecture: amd64
ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
Tags: oneiric running-unity
Uname: Linux 3.0.0-12-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Revision history for this message
kaimadag (kaimadag) wrote : Dependencies.txt

apport information

Revision history for this message
kaimadag (kaimadag) wrote : ProcEnviron.txt

apport information

Revision history for this message
Higgs Bison (bizzone) wrote :

I can`t build it from source:

./configure --with-gtk=3

causes error:

checking for GTK3... yes
checking for UNIQUE... no
warning: UNIQUE: condition unique-3.0 not satisfied
configure: error: unable to build against Gtk+-3.0 library

Any ideas?

Revision history for this message
Rocko (rockorequin) wrote :

Did you install libunique-3.0-dev?

Revision history for this message
Higgs Bison (bizzone) wrote :

Rocko, you are right, I should install this package. Now there is another problem:

checking for GCONF... no
configure: error: GCONF: condition gconf-2.0 >= 2.8.0 not satisfied

Package gconf-2.0 is installed, but uses GObject introspection, so it`s called gir1.2-gconf-2.0. How to tell configure script that this condition is satisfied?

Revision history for this message
Rocko (rockorequin) wrote :

Do you have libgconf2-dev installed?

I think I installed everything I needed with "sudo apt-get build-dep nautilus-actions", except that the only extra library I had to install manually was libunique-3.0-dev.

Revision history for this message
zzarko (zzarko-gmail) wrote :

nautilus-actions from getdeb repository works for me.

Revision history for this message
Higgs Bison (bizzone) wrote :

zzarko, thanks! It works for me, too. Problem is solved. The newer version shuold be in official Ubuntu repository.

Revision history for this message
munbi (gabriele) wrote :

Installing the latest package for Pangolin (3.1.4-1) in Oneiric from Launchpad worked for me:

https://launchpad.net/ubuntu/+source/nautilus-actions

Revision history for this message
Hans Joachim Desserud (hjd) wrote :

I wonder if this might be a duplicate of bug 818987.

Revision history for this message
Jeeno Gunee (amgdega) wrote :

"Installing the latest package for Pangolin (3.1.4-1) in Oneiric from Launchpad worked for me"

That worked for me as well!

Revision history for this message
Steffen Goetz (steffengoetz) wrote :

This dump is fixed in 12.04

nautilus-actions:
  Installed: 3.1.4-1build1
  Candidate: 3.1.4-1build1
  Version table:
 *** 3.1.4-1build1 0
        500 http://de.archive.ubuntu.com/ubuntu/ precise/universe amd64 Packages
        100 /var/lib/dpkg/status

Thanks.

Revision history for this message
Alexandre Magno (alexandre-mbm) wrote :

@bizzone,

sudo apt-get build-dep nautilus-actions

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers